Index: libX11-1.1.5/configure.ac
===================================================================
--- libX11-1.1.5.orig/configure.ac	2008-10-28 11:36:49.000000000 +0000
+++ libX11-1.1.5/configure.ac	2008-10-28 11:40:05.000000000 +0000
@@ -221,13 +221,21 @@
 # Find keysymdef.h
 #
 AC_MSG_CHECKING([keysymdef.h])
-dir=`pkg-config --variable=includedir xproto`
-KEYSYMDEF="$dir/X11/keysymdef.h"
+AC_ARG_WITH(keysymdef,
+	AC_HELP_STRING([--with-keysymdef=DIR/keysymdef.h], [The location of keysymdef.h]),
+	KEYSYMDEF=$withval, KEYSYMDEF="")
+
+if test x$KEYSYMDEF = x; then
+	dir=`pkg-config --variable=includedir xproto`
+	KEYSYMDEF="$dir/X11/keysymdef.h"
+fi
+
 if test -f "$KEYSYMDEF"; then
-        AC_MSG_RESULT([$KEYSYMDEF])
+	AC_MSG_RESULT([$KEYSYMDEF])
 else
 	AC_MSG_ERROR([Cannot find keysymdef.h])
 fi
+
 AC_SUBST(KEYSYMDEF)
 
 AM_CONDITIONAL(UDC, test xfalse = xtrue)
